/*
 * Copyright (c) 2017 Fraunhofer FOKUS.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the
 * GNU AGPL v3 which accompanies
 * this distribution, and is available at
 * http://www.gnu.org/licenses/agpl.txt
 *
 * Contributors:
 * Simon Dutkowski Fraunhofer FOKUS
 *
 * Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
 */
package eu.DECIDEh2020.mcsla.core.metrics;

import eu.DECIDEh2020.appManager.models.Parameter;

import java.util.List;
import java.util.stream.Collectors;

class AvailabilityAggregationSumType implements PredefinedExpression<Double, Double> {

    @Override
    public Double calculate(List<Double> input, List<Parameter> parameters) {
        return input.stream().reduce(100.0, this::calculateSumtype);
    }

    @Override
    public Double calculateFromStrings(List<String> input, List<Parameter> parameters) {
        List<Double> values = input.stream().map(Double::valueOf).collect(Collectors.toList());
        return calculate(values, parameters);
    }

    private double calculateSumtype(double a, double b) {
        double downtime = 100.0 - a;
        return b - downtime;
    }

}
