/*
 * Copyright (c) 2017 Fraunhofer FOKUS.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the
 * GNU AGPL v3 which accompanies
 * this distribution, and is available at
 * http://www.gnu.org/licenses/agpl.txt
 *
 * Contributors:
 * Simon Dutkowski Fraunhofer FOKUS
 *
 * Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
 */
package eu.DECIDEh2020.mcsla.core.metrics;

public class Expressions {

    public static final String LANGUAGE_PREDEFINED = "predefined";
    public static final String LANGUAGE_ISO8000 = "iso8000";

    static <T extends Number & Comparable<T>> PredefinedExpression create(Predefined expression) {
        switch (expression) {
            case AVAILABILITY_UPTIME_BC:
                return new AvailabilityUptimeBillingCycle();
            case AVAILABILITY_MTBFMTTR:
                return new AvailabilityMTBFMTTR();
            case AVAILABILITY_AGGREGATION_SUMTYPE:
                return new AvailabilityAggregationSumType();
            case AGGREGATION_MAXTYPE:
                return new AggregationMaxType<T>();
            case AGGREGATION_SUMTYPE:
                return new AggregationSumType<T>();
            case EMPTY:
            default:
                return new Empty();
        }
    }

}
