# DECIDE MCSLA Frontend

### Configure the service
The user inetrface requires the backend mcsla service. Before you build
the production system, you should configure the correct address in the
`app-config.json` file contained in the `public` directory:

```json
{
    "serviceUri": "http://localhost:8080"
}
```
Change the service URI so it points to the correct address.

### Build production version
```
$> npm install
$> npm run build
```

### Run in docker container
#### Requires production build.
```
$> docker build -t decide/mcsla-ui .
$> docker run -i -p 8080:8080 -e "DECIDE_MCSLA_SERVICE_URI=<your_mcsla_service_uri>" decide/mcsla-ui
```

### Open in browser
```
http://localhost:8080
```

### Dashboard mashup
There is a content only version, without a hader and a left side navigation bar. It shows only the content of the mcsla tab and requires the remote repository data:

For example, assuming the host is mcsla-ui and it is running on port 80:
```
http://mcsla-ui/iframe?uri=<git repository uri>&username=<username>&password=<password>
```

## License

[GNU Affero General Public License Version 3](LICENSE.txt)
