import React, { Component } from "react";

import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';
import Grid from '@material-ui/core/Grid';
import FormGroup from '@material-ui/core/FormGroup';
import TextField from '@material-ui/core/TextField';

const styles = {
    flex: {
        flex: 1
    }
};

class ScalabilityManually extends Component {
    render() {
        const { objective } = this.props;

        return ( 
            <Grid item sm={8}>
                {objective.metrics ? Object.values(objective.metrics).map(metric => {
                    return (
                        <FormGroup key={metric.id} margin="normal">
                            <TextField label="Descriptor" value={metric.descriptor} margin="normal" />
                            <TextField label="Note" value={metric.expression.note} margin="normal" />
                        </FormGroup>
                    )
                }) : null}
            </Grid>
        );
    }
}

export default connect(null, null)(withStyles(styles, { withTheme: true })(ScalabilityManually))
