import React, { Component } from "react";

import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';
import Grid from '@material-ui/core/Grid';
import FormGroup from '@material-ui/core/FormGroup';
import TextField from '@material-ui/core/TextField';
import Typography from '@material-ui/core/Typography';

const styles = {
    flex: {
        flex: 1
    }
};

class ServiceObjectiveAvailability extends Component {
    render() {
        const { objective } = this.props;

        return ( 
            <div>
                {objective.metrics ? Object.values(objective.metrics).map(metric => {
                    return (
                        <Grid item container spacing={24}>
                            <Grid item sm={8}>
                                <Typography variant="h6" gutterBottom>{metric.descriptor}</Typography>
                                <FormGroup key={metric.id} margin="normal">
                                    <TextField label="Note" value={metric.expression.note} margin="normal" />
                                </FormGroup>
                            </Grid>
                            {metric.underlyingMetrics && metric.underlyingMetrics.length > 0 ?
                                <Grid item container>
                                    <Grid item sm={3}>
                                        <Typography variant="h6" gutterBottom>Underlying metrics</Typography>
                                    </Grid>
                                    <Grid item sm={9}>
                                        {Object.values(metric.underlyingMetrics).map(m => {
                                            return (
                                                <div>
                                                    <Typography variant="subheading1">{'For "' + m.note + '" - ' + m.descriptor}</Typography>
                                                    <Typography variant="body2" color="textPrimary" gutterBottom>{m.expression.note}</Typography>
                                                </div>
                                            )
                                        })}
                                    </Grid>
                                </Grid>
                                : null
                            }
                        </Grid>
                    )
                }) : null}
            </div>
        );
    }
}

export default connect(null, null)(withStyles(styles, { withTheme: true })(ServiceObjectiveAvailability
))
